View Issue Details

IDProjectCategoryView StatusLast Update
0002226SymmetricDSBugpublic2015-03-06 10:16
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.7.8 
Target Version3.7.9Fixed in Version3.7.9 
Summary0002226: Sql Server 2000's default schema is the user. We had hardcoded dbo as the schema which only worked for dbowner accounts
DescriptionSql Server 2000's default schema is the user. We had hardcoded dbo as the schema which only worked for dbowner accounts
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master d2bb25e0

2015-03-04 16:19:11

chenson

Details Diff
0002226: Sql Server 2000's default schema is the user. We had hardcoded dbo as the schema which only worked for dbowner accounts
0002226
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql/MsSqlSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql2000/MsSql2000SymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql2000/MsSql2000TriggerTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSql2000DatabasePlatform.java Diff File

Issue History

Date Modified Username Field Change
2015-03-04 16:18 chenson New Issue
2015-03-04 16:18 chenson Status new => assigned
2015-03-04 16:18 chenson Assigned To => chenson
2015-03-04 16:19 chenson Status assigned => resolved
2015-03-04 16:19 chenson Fixed in Version => 3.7.9
2015-03-04 16:19 chenson Resolution open => fixed
2015-03-04 17:00 chenson Changeset attached => SymmetricDS trunk r9397
2015-03-06 10:16 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master d2bb25e0